FDISK(8)

NOME
fdisk - manipula a tabela de partição de disco

SINOPSE

fdisk [opções] dispositivo

fdisk -l [dispositivo...]

DESCRIÇÃO

fdisk é um programa orientado por diálogo para criação e manipulação de tabelas de partição. Ele compreende tabelas de partição GPT, MBR, Sun, SGI e BSD.

Dispositivos de bloco podem ser divididos em um ou mais discos lógicos chamados partições. Esta divisão é registrada na tabela de partição, geralmente encontrada no setor 0 do disco. (No mundo BSD fala-se sobre "disk slices" e um "disklabel".)

Todo o particionamento é conduzido pelos limites de E/S do dispositivo (a topologia) por padrão. fdisk é capaz de otimizar o layout do disco para um tamanho de setor de 4K e usar uma posição de alinhamento em dispositivos modernos para MBR e GPT. É sempre uma boa ideia seguir os padrões de fdisk como os valores padrão (por exemplo, primeiro e último setores de partição) e tamanhos de partição especificados por +/-<tamanho>{M,G,...} as notações estão sempre alinhadas de acordo com as propriedades do dispositivo.

O endereçamento CHS (Cilindro-Cabeça-Setor) foi descontinuado e não é usado por padrão. Por favor, não siga artigos e recomendações antigos com conselhos de fdisk -S <n> -H <n> para dispositivos SSD ou setores de 4K.

Observe que partx(8) fornece uma interface rica para scripts para imprimir layouts de disco, fdisk é projetado principalmente para humanos. A compatibilidade com versões anteriores na saída de fdisk não é garantida. A entrada (os comandos) deve sempre ser compatível com versões anteriores.

OPÇÕES

-b, --sector-size tamanho-do-setor
    Especifica o tamanho do setor do disco. Os valores válidos são 512, 1024, 2048 e 4096. (Kernels recentes sabem o tamanho do setor. Use esta opção apenas em kernels antigos ou para substituir as ideias do kernel.) Desde util-linux-2.17, fdisk diferencia entre lógico e físico tamanho do setor. Esta opção altera ambos os tamanhos de setor para tamanho-do-setor.

-B, --protect-boot
    Não apaga o início do primeiro setor do disco ao criar um novo rótulo de disco. Este recurso é compatível com GPT e MBR.

-c, --compatibility[=modo]
    Especifica o modo de compatibilidade, "dos" ou "nondos". O padrão é o modo não-DOS. Para compatibilidade com versões anteriores, é possível usar a opção sem o argumento modo — então o padrão é usado. Observe que o argumento opcional modo não pode ser separado da opção -c por um espaço, a forma correta é, por exemplo, -c=dos.

-h, --help
    Exibe um texto de ajuda e sai.

-V, --version
    Imprime a versão e sai.

-L, --color[=quando]
    Colore a saída. O argumento opcional quando pode ser auto, never ou always. Se o argumento quando for omitido, o padrão será auto. As cores podem ser desabilitadas; para o padrão integrado atual, consulte a saída de --help. Consulte também a seção CORES.

-l, --list
    Lista as tabelas de partição para os dispositivos especificados e sai.

    Se nenhum dispositivo for fornecido, os dispositivos mencionados em /proc/partitions (se este arquivo existir) serão usados. Os dispositivos são sempre listados na ordem em que são especificados na linha de comando ou pelo kernel listado em /proc/partitions.

-x, --list-details
    Como --list, mas com mais detalhes.

--lock[=modo]
    Use exclusive BSD lock for device or file it operates. The optional argument mode can be yes, no (or 1 and 0) or nonblock. If the mode argument is omitted, it defaults to yes. This option overwrites environment variable $LOCK_BLOCK_DEVICE. The default is not to use any lock at all, but it’s recommended to avoid collisions with systemd-udevd(8) or other tools.

-n, --noauto-pt
    Não cria automaticamente uma tabela de partição padrão em dispositivos vazios. A tabela de partição tem que ser criada explicitamente pelo usuário (com um comando como "o", "g" etc.).

-o, --output lista
    Especifica quais colunas de saída exibir. Use --help para obter uma lista de todas as colunas suportadas.

    A lista padrão de colunas pode ser estendida se lista for especificada no formato +lista (por exemplo, -o +UUID).

-s, --getsz
    Exibe o tamanho em setores de 512 bytes de cada dispositivo de bloco dado. Esta opção foi DESCONTINUADA em favor de blockdev(8).

-t, --type tipo
    Habilita o suporte apenas para rótulos de disco do tipo especificado e desabilita o suporte para todos os outros tipos.

-u, --units[=unidade]
    When listing partition tables, show sizes in 'sectors' or in 'cylinders'. The default is to show sizes in sectors. For backward compatibility, it is possible to use the option without the unit argument — then the default is used. Note that the optional unit argument cannot be separated from the -u option by a space, the correct form is for example '-u=cylinders'.

-C, --cylinders número
    Specify the number of cylinders of the disk. I have no idea why anybody would want to do so.

-H, --heads número
    Especifica o número de cabeças do disco. (Não o número físico, é claro, mas o número usado para tabelas de partição.) Valores razoáveis são 255 e 16.

-S, --sectors número
    Especifica o número de setores por trilha do disco. (Não o número físico, é claro, mas o número usado para tabelas de partição.) Um valor razoável é 63.

-w, --wipe quando
    Limpa o sistema de arquivos, RAID e assinaturas de tabela de partição do dispositivo, a fim de evitar possíveis colisões. O argumento quando pode ser auto, never ou always. Quando esta opção não é fornecida, o padrão é auto, caso em que as assinaturas são apagadas apenas no modo interativo. Em todos os casos, as assinaturas detectadas são relatadas por mensagens de aviso antes que uma nova tabela de partição seja criada. Consulte também o comando wipefs(8).

-W, --wipe-partitions quando
    Limpa o sistema de arquivos, RAID e assinaturas de tabelas de partição de partições recém-criadas, a fim de evitar possíveis colisões. O argumento quando pode ser auto, never ou always. Quando esta opção não é fornecida, o padrão é auto, caso em que as assinaturas são apagadas apenas no modo interativo e após a confirmação do usuário. Em todos os casos, as assinaturas detectadas são relatadas por mensagens de aviso antes que uma nova partição seja criada. Consulte também o comando wipefs(8).

-V, --version
    Exibe informação da versão e sai.

DISPOSITIVOS

O dispositivo é geralmente /dev/sda, /dev/sdb e por aí vai. Um nome de dispositivo se refere a todo o disco. Sistemas antigos sem libata (uma biblioteca usada dentro do kernel Linux para suportar controladores e dispositivos hospedeiros ATA) fazem a diferença entre discos IDE e SCSI. Nesses casos, o nome do dispositivo será /dev/hd* (IDE) ou /dev/sd* (SCSI).

A partição é um nome de dispositivo seguido por um número de partição. Por exemplo, /dev/sda1 é a primeira partição no primeiro disco rígido do sistema. Veja também a documentação do kernel Linux (o arquivo Documentation/admin-guide/devices.txt).

TAMANHOS

A janela do "último setor" aceita o tamanho da partição especificado pelo número de setores ou por notação +/-<tamanho>{K,B,M,G,...}.

Se o tamanho for prefixado por "+", então ele é interpretado como relativo ao primeiro setor da partição. Se o tamanho for prefixado por "-", ele será interpretado como relativo ao limite superior (último setor disponível para a partição).

No caso de o tamanho ser especificado em bytes, então o número pode ser seguido pelos sufixos multiplicativos KiB=1024, MiB=1024*1024 e assim por diante para GiB, TiB, PiB, EiB, ZiB e YiB. O "iB" é opcional, por exemplo, "K" tem o mesmo significado que "KiB".

Os tamanhos relativos são sempre alinhados de acordo com os limites de E/S do dispositivo. A notação +/-<tamanho>{K,B,M,G,...} é recomendada.

For backward compatibility fdisk also accepts the suffixes KB=1000, MB=1000*1000, and so on for GB, TB, PB, EB, ZB and YB. These 10^N suffixes are deprecated.

ARQUIVOS DE SCRIPT

fdisk permite a leitura (pelo comando "I") de arquivos de scripts compatíveis com sfdisk(8). O script é aplicado à tabela de partição na memória e, em seguida, é possível modificar a tabela de partição antes de gravá-la no dispositivo.

E vice-versa, é possível gravar o layout atual do disco na memória no arquivo de script pelo comando "O".

Os arquivos de script são compatíveis entre cfdisk(8), sfdisk(8), fdisk e outros aplicativos libfdisk. Para obter mais detalhes, consulte sfdisk(8).

RÓTULOS DE DISCO

GPT (Tabela de Partição GUID)
    GPT é um padrão moderno para o layout da tabela de partição. GPT usa endereços de bloco lógico de 64 bits, somas de verificação, UUIDs e nomes para partições e um número ilimitado de partições (embora o número de partições geralmente seja restrito a 128 em muitas ferramentas de particionamento).

    Observe que o primeiro setor ainda está reservado para um MBR protetivo na especificação GPT. Ele impede que as ferramentas de particionamento somente MBR reconheçam erroneamente e substituam os discos GPT.

    GPT é sempre uma escolha melhor do que MBR, especialmente em hardware moderno com um carregador de inicialização UEFI.

Tipo DOS (MBR)
    Uma tabela de partição do tipo DOS pode descrever um número ilimitado de partições. No setor 0 há espaço para a descrição de 4 partições (chamadas "primárias"). Uma delas pode ser uma partição estendida; esta é uma caixa contendo partições lógicas, com descritores encontrados em uma lista vinculada de setores, cada um precedendo as partições lógicas correspondentes. As quatro partições primárias, presentes ou não, recebem os números 1-4. As partições lógicas são numeradas a partir de 5.

    Em uma tabela de partição do tipo DOS, a posição inicial e o tamanho de cada partição são armazenados de duas maneiras: como um número absoluto de setores (dado em 32 bits), e como o trio C/H/S ou Cilindros/Cabeças/Setores (dado em 10+8+6 bits). O primeiro está OK — com setores de 512 bytes isso funcionará até 2 TB. Este último tem dois problemas. Primeiro, esses campos C/H/S podem ser preenchidos apenas quando o número de cabeças e o número de setores por trilha são conhecidos. E, em segundo lugar, mesmo que saibamos quais devem ser esses números, os 24 bits disponíveis não são suficientes. O DOS usa apenas C/H/S, o Windows usa ambos, o Linux nunca usa C/H/S. O endereçamento C/H/S foi descontinuado e pode não ser suportado em alguma versão posterior do fdisk.

    Por favor, leia a seção de modo DOS se você quiser partições compatíveis com DOS. fdisk não se preocupa com os limites do cilindro por padrão.

tipo BSD/Sun
    Um rótulo de disco BSD/Sun pode descrever 8 partições, a terceira das quais deve ser uma partição de "disco inteiro". Não inicie uma partição que realmente usa seu primeiro setor (como uma partição swap) no cilindro 0, pois isso destruirá o rótulo de disco. Observe que um rótulo BSD geralmente está aninhado em uma partição DOS.

Tipo IRIX/SGI
    Um rótulo de disco IRIX/SGI pode descrever 16 partições, a décima primeira das quais deve ser uma partição de "volume" inteira, enquanto a nona deve ser rotulada de "cabeçalho do volume". O cabeçalho do volume também cobrirá a tabela de partição, ou seja, começa no bloco zero e se estende por padrão em cinco cilindros. O espaço restante no cabeçalho do volume pode ser usado pelas entradas do diretório do cabeçalho. Nenhuma partição pode se sobrepor ao cabeçalho do volume. Também não mude seu tipo ou crie algum sistema de arquivos nele, pois você perderá a tabela de partição. Use este tipo de rótulo apenas ao trabalhar com Linux em máquinas IRIX/SGI ou discos IRIX/SGI em Linux.

    A sync(2) and an ioctl(BLKRRPART) (rereading the partition table from disk) are performed before exiting when the partition table has been updated.

MODO DOS E AVISO DE DOS 6.X

Observe que tudo isso foi descontinuado. Você não precisa se preocupar com coisas como geometria e cilindros em sistemas operacionais modernos. Se você realmente deseja um particionamento compatível com DOS, deve habilitar o modo DOS e unidades de cilindro usando as opções de linha de comando "-c=dos -u=cylinders" do fdisk.

O comando FORMAT do DOS 6.x procura algumas informações no primeiro setor da área de dados da partição e trata essas informações como mais confiáveis do que as informações na tabela de partição. O FORMAT do DOS espera que o FDISK do DOS limpe os primeiros 512 bytes da área de dados de uma partição sempre que ocorrer uma alteração de tamanho. O FORMAT do DOS examinará essas informações extras mesmo se o sinalizador /U for fornecido — consideramos isso um bug no FORMAT e no FDISK do DOS.

The bottom line is that if you use fdisk or cfdisk(8) to change the size of a DOS partition table entry, then you must also use dd(1) to zero the first 512 bytes of that partition before using DOS FORMAT to format the partition. For example, if you were using fdisk to make a DOS partition table entry for /dev/sda1, then (after exiting fdisk and rebooting Linux so that the partition table information is valid) you would use the command dd if=/dev/zero of=/dev/sda1 bs=512 count=1 to zero the first 512 bytes of the partition.

fdisk geralmente obtém a geometria do disco automaticamente. Esta não é necessariamente a geometria do disco físico (na verdade, os discos modernos não têm nada parecido com uma geometria física, certamente não algo que pode ser descrito na forma simplista de Cilindros/Cabeças/Setores), mas é a geometria do disco que o MS-DOS usa para a tabela de partição.

Normalmente, tudo vai bem por padrão e não há problemas se o Linux for o único sistema no disco. No entanto, se o disco tiver que ser compartilhado com outros sistemas operacionais, geralmente é uma boa ideia deixar um fdisk de outro sistema operacional criar pelo menos uma partição. Quando o Linux é inicializado, ele examina a tabela de partição e tenta deduzir qual geometria (falsa) é necessária para uma boa cooperação com outros sistemas.

Sempre que uma tabela de partição é impressa no modo DOS, uma verificação de consistência é executada nas entradas da tabela de partição. Esta verificação verifica se os pontos inicial e final físicos e lógicos são idênticos e se cada partição começa e termina em um limite de cilindro (exceto para a primeira partição).

Algumas versões do MS-DOS criam uma primeira partição que não começa no limite do cilindro, mas no setor 2 do primeiro cilindro. As partições que começam no cilindro 1 não podem começar em um limite de cilindro, mas é improvável que isso cause dificuldade, a menos que você tenha OS/2 em sua máquina.

Para obter os melhores resultados, você deve sempre usar um programa de tabela de partição específico do sistema operacional. Por exemplo, você deve fazer partições DOS com o programa DOS FDISK e partições Linux com os programas fdisk ou cfdisk(8) do Linux.

CORES

The output colorization is implemented by terminal-colors.d(5) functionality. Implicit coloring can be disabled by an empty file

    /etc/terminal-colors.d/fdisk.disable

for the fdisk command or for all tools by

    /etc/terminal-colors.d/disable

The user-specific $XDG_CONFIG_HOME/terminal-colors.d or $HOME/.config/terminal-colors.d overrides the global setting.

Note that the output colorization may be enabled by default, and in this case terminal-colors.d directories do not have to exist yet.

The logical color names supported by fdisk are:

header
    O cabeçalho das tabelas de saída.

help-title
    Os títulos de seção de ajuda.

warn
    As mensagens de aviso.

welcome
    A mensagem de boas vindas.

AMBIENTE

FDISK_DEBUG=all
    habilita a saída de depuração do fdisk.

LIBFDISK_DEBUG=all
    habilita saída de depuração do libfdisk.

LIBBLKID_DEBUG=all
    habilita saída de depuração do libblkid.

LIBSMARTCOLS_DEBUG=all
    habilita saída de depuração do libsmartcols.

LIBSMARTCOLS_DEBUG_PADDING=on
    use visible padding characters.

LOCK_BLOCK_DEVICE=<modo>
    usa trava exclusiva do BSD. O modo é "1" ou "0". Veja --lock para mais detalhes.

AUTORES

A versão original foi escrita por Andries E. Brouwer, A. V. Le Blanc e outros.

VEJA TAMBÉM

cfdisk(8), mkfs(8), partx(8), sfdisk(8)

RELATANDO PROBLEMAS

For bug reports, use the issue tracker at

DISPONIBILIDADE

O comando fdisk é parte do pacote util-linux que pode ser baixado do